From 802895186f38418efa0a57be97b4c980abe5d2b0 Mon Sep 17 00:00:00 2001
From: yopito <pierre.bourgin@free.fr>
Date: Thu, 18 Jul 2019 06:42:49 +0200
Subject: [PATCH] qt5-webkit: update to snapshot 1561566461 (2019-06-26)

[ci skip]
---
 .../qt5-webkit/patches/include_functional.diff  | 14 --------------
 srcpkgs/qt5-webkit/template                     | 17 +++++++++--------
 2 files changed, 9 insertions(+), 22 deletions(-)
 delete mode 100644 srcpkgs/qt5-webkit/patches/include_functional.diff

diff --git a/srcpkgs/qt5-webkit/patches/include_functional.diff b/srcpkgs/qt5-webkit/patches/include_functional.diff
deleted file mode 100644
index 542cb19f90b..00000000000
--- a/srcpkgs/qt5-webkit/patches/include_functional.diff
+++ /dev/null
@@ -1,14 +0,0 @@
-Description: add missing #include <functional>
-Origin: upstream, https://github.com/annulen/webkit/commit/4ce8ebc4094512b9
-Last-Update: 2018-04-15
-
---- Source/WebCore/dom/SlotAssignment.h
-+++ Source/WebCore/dom/SlotAssignment.h
-@@ -28,6 +28,7 @@
- 
- #if ENABLE(SHADOW_DOM) || ENABLE(DETAILS_ELEMENT)
- 
-+#include <functional>
- #include <wtf/HashMap.h>
- #include <wtf/HashSet.h>
- #include <wtf/Vector.h>
diff --git a/srcpkgs/qt5-webkit/template b/srcpkgs/qt5-webkit/template
index 29039cc606d..679f94ac6ca 100644
--- a/srcpkgs/qt5-webkit/template
+++ b/srcpkgs/qt5-webkit/template
@@ -1,7 +1,8 @@
 # Template file for 'qt5-webkit'
 pkgname=qt5-webkit
 version=5.212.0
-revision=3
+revision=4
+_snap=1561566461
 _v=${version%.*}
 wrksrc="qtwebkit-everywhere-src-${_v}"
 build_style=cmake
@@ -11,12 +12,12 @@ makedepends="libwebp-devel libxslt-devel libXcomposite-devel sqlite-devel
  libjpeg-turbo-devel gst-plugins-base1-devel qt5-declarative-devel
  qt5-location-devel qt5-sensors-devel qt5-webchannel-devel hyphen-devel
  ruby-devel"
-short_desc="A cross-platform application and UI framework (Qt5) - WebKit2 component"
+short_desc="Cross-platform application and UI framework (Qt5) - WebKit2 component"
 maintainer="Juan RP <xtraeme@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="https://www.qt.io/"
-distfiles="https://download.qt.io/snapshots/ci/qtwebkit/${_v}/latest/src/submodules/qtwebkit-everywhere-src-${_v}.tar.xz"
-checksum=283b907ea324a2c734e3983c73fc27dbd8b33e2383c583de41842ee84d648a3e
+distfiles="https://download.qt.io/snapshots/ci/qtwebkit/${_v}/${_snap}/src/submodules/qtwebkit-everywhere-src-${_v}.tar.xz"
+checksum=68eae85e7a12077b8004d7a039af065d68112e8e9ab95013f4e01527759fab9f
 
 CPPFLAGS="-I${XBPS_CROSS_BASE}/usr/include"
 CXXFLAGS="-fpermissive -Wno-class-memaccess"
@@ -38,10 +39,10 @@ case "$XBPS_TARGET_MACHINE" in
 		nodebug=1
 		;;
 	ppc*)   # no JIT on ppc and need libatomic
-                configure_args+=" -DENABLE_JIT=OFF -DUSE_SYSTEM_MALLOC=ON"
-                makedepends+=" libatomic-devel"
-                LIBS+=" -latomic"
-                ;;
+		configure_args+=" -DENABLE_JIT=OFF -DUSE_SYSTEM_MALLOC=ON"
+		makedepends+=" libatomic-devel"
+		LIBS+=" -latomic"
+		;;
 esac
 
 pre_configure() {
